=== debian/control ===
Source: molly-guard
Section: admin
Priority: extra
Maintainer: martin f. krafft <madduck@debian.org>
Uploaders: Ludovico Gardenghi <garden@debian.org>
Build-Depends: debhelper (>= 6), xsltproc, docbook-xsl
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/molly-guard.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/molly-guard.git

Package: molly-guard
Architecture: all
Depends: procps, ${misc:Depends}
Enhances: sysvinit, upstart, openssh-server
Description: protects machines from accidental shutdowns/reboots
 The package installs a shell script that overrides the existing
 shutdown/reboot/halt/poweroff commands and first runs a set of scripts, which
 all have to exit successfully, before molly-guard invokes the real command.
 .
 One of the scripts checks for existing SSH sessions. If any of the four
 commands are called interactively over an SSH session, the shell script
 prompts you to enter the name of the host you wish to shut down. This should
 adequately prevent you from accidental shutdowns and reboots.
 .
 This shell script passes through the commands to the respective binaries in
 /sbin and should thus not get in the way if called non-interactively, or
 locally.
